For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

Add Company Attachment

Beta
POST
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/attachments
POST
/api/v3/io/companies/:companyId/attachments
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/companies/1/attachments \
> -H "authToken: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F attachmentFile=@string
200Example 1
1{
2 "code": 200,
3 "data": {
4 "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
5 "attachmentFile": "https://xxx.com/xxx.csv"
6 },
7 "meta": {
8 "message": "SUCCESS"
9 }
10}
Each company can upload a maximum of 10 attachments. The API rate limit is 15 times/min per store. The attachments support the following file types: * Images, including bmp, gif, ico, jpeg, jpg, png, svg, tif, tiff, webp, wbmp, xbm. * PDF * DOC, DOCX * XLS, XLSX * CSV
Was this page helpful?
Previous

List Company Attachments

Next

Delete Company Attachment

Built with

Each company can upload a maximum of 10 attachments.

The API rate limit is 15 times/min per store.

The attachments support the following file types:

  • Images, including bmp, gif, ico, jpeg, jpg, png, svg, tif, tiff, webp, wbmp, xbm.
  • PDF
  • DOC, DOCX
  • XLS, XLSX
  • CSV

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Path parameters

companyIdintegerRequired
ID of company.

Request

attachmentFilefileRequired
The size of each attachment must not exceed 10MB.

Response

OK
codedoubleDefaults to 200
dataobject
metaobject